/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 奖惩情况Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffRewards extends DataEntity<WorkStaffRewards> {
	
	private static final long serialVersionUID = 1L;
	private String staff;		// 员工ID
	private String type;		// 奖惩类型
	private String name;		// 奖惩名称
	private String atTime;		// 时间
	private String grade;		// 级别
	private String reason;		// 原因
	private String organization;		// 授予机构
	
	public WorkStaffRewards() {
		super();
	}

	public WorkStaffRewards(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaff() {
		return staff;
	}

	public void setStaff(String staff) {
		this.staff = staff;
	}
	
	@ExcelField(title="奖惩类型", dictType="", align=2, sort=8)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="奖惩名称", align=2, sort=9)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="时间", align=2, sort=10)
	public String getAtTime() {
		return atTime;
	}

	public void setAtTime(String atTime) {
		this.atTime = atTime;
	}
	
	@ExcelField(title="级别", align=2, sort=11)
	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}
	
	@ExcelField(title="原因", align=2, sort=12)
	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
	
	@ExcelField(title="授予机构", align=2, sort=13)
	public String getOrganization() {
		return organization;
	}

	public void setOrganization(String organization) {
		this.organization = organization;
	}
	
}